#coding:utf-8
import sys, time
import smbus

""" Тестовый скрипт для температурного сервера для
    'ненавязчивой автоматизации Lite'
    OldBean, 27.05.2017"""

bus = smbus.SMBus(1)
tsAddr = 0x07
cntr = 0;
errs = 0;
terrs = 0;

while True:
  trys = 100 # Будем 'стучаться' до сервера 100 раз (10 сек)
  while trys > 0: 
    try: # Пытаемся считать температуры
      buf = bus.read_i2c_block_data(tsAddr, 0)
      break
    except IOError: # Еще не готово - подождем 0.1 сек
      terrs += 1
      time.sleep(0.1) # и опять попробуем
      trys -= 1
  if trys <= 0:
    print 'Температурный сервер не доступен. Завершение работы.'
    sys.exit(1)

  cntr += 1
  s = '% 6d\t' % (cntr)
  for i in range(4):
    if buf[2*i] < 255:
      w = buf[2*i]*256 + buf[1 + 2*i]
      s += '%.2f\t' % (0.0625*w)
    else:
      s += '  -  \t'
      errs += 1
  print s + ('% 6d\t% 6d' % (errs, terrs))
  time.sleep(1)
